org.apache.lucene.util

## Interface Accountable

- All Known Subinterfaces:
    FSTStore
  All Known Implementing Classes:
    AbstractPagedMutable, Automaton, AutomatonQuery, BitDocIdSet, BitSet, BlockPackedReader, BlockTreeTermsReader, ByteBlockPool, ByteBuffersDataInput, ByteBuffersDataOutput, ByteRunAutomaton, BytesRefArray.SortState, BytesRefHash, CharacterRunAutomaton, CodecReader, CompiledAutomaton, CompressingStoredFieldsReader, CompressingStoredFieldsWriter, CompressingTermVectorsReader, CompressingTermVectorsWriter, DirectMonotonicReader, DirectMonotonicReader.Meta, DocIdSet, DocValuesProducer, EmptyDocValuesProducer, FieldReader, FieldsProducer, FilterCodecReader, FixedBitSet, FrequencyTrackingRingBuffer, FST, GrowableByteArrayDataOutput, GrowableWriter, IndexWriter, LongBitSet, LRUQueryCache, Lucene84PostingsReader, Lucene86PointsReader, MonotonicBlockPackedReader, NormsProducer, NotDocIdSet, NRTCachingDirectory, OffHeapFSTStore, OnHeapFSTStore, OrdinalMap, PackedInts.Mutable, PackedInts.NullReader, PackedInts.Reader, PackedLongValues, PackedLongValues.Builder, PagedBytes, PagedBytes.Reader, PagedGrowableWriter, PagedMutable, PointInSetQuery, PointsReader, PostingsReaderBase, PrefixCodedTerms, PrefixQuery, RAMDirectory, RAMFile, RAMOutputStream, RegexpQuery, RoaringDocIdSet, RunAutomaton, SegmentReader, SortingCodecReader, SparseFixedBitSet, StoredFieldsReader, StoredFieldsWriter, Term, TermInSetQuery, TermRangeQuery, TermVectorsReader, TermVectorsWriter, WildcardQuery

      public interface Accountable

  An object whose RAM usage can be computed.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Accountable` | `NULL_ACCOUNTABLE` An accountable that always returns 0

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Collection<Accountable>` | `getChildResources()` Returns nested resources of this class.
    `long` | `ramBytesUsed()` Return the memory usage of this object in bytes.

- - ### Field Detail

    - #### NULL_ACCOUNTABLE

          static final Accountable NULL_ACCOUNTABLE

      An accountable that always returns 0

  - ### Method Detail

    - #### ramBytesUsed

          long ramBytesUsed()

      Return the memory usage of this object in bytes. Negative values are illegal.

    - #### getChildResources

          default Collection<Accountable> getChildResources()

      Returns nested resources of this class. The result should be a point-in-time snapshot (to avoid race conditions).
      See Also:
        `Accountables`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.